- Qt 5.15
- Qt 3D
- C++ Classes
- QAction
- Qt 5.15.19 Reference Documentation

# QAction Class

class Qt3DInput::QAction

Links a set of QAbstractActionInput that trigger the same event. More...

Header: | #include <QAction>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | Action
Inherits: | Qt3DCore::QNode

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- active : const bool

## Public Functions

| QAction(Qt3DCore::QNode *parent = nullptr)
void | addInput(QAbstractActionInput *input)
QVector<QAbstractActionInput *> | inputs() const
bool | isActive() const
void | removeInput(QAbstractActionInput *input)

## Signals

void | activeChanged(bool isActive)

## Detailed Description

## Property Documentation

### active : const bool

Holds `true` if the action is active.

Note this property is not updated when the action is disabled.

Access functions:

bool | isActive() const

Notifier signal:

void | activeChanged(bool isActive)

## Member Function Documentation

### QAction::QAction(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAction instance with parent parent.

### void QAction::addInput(QAbstractActionInput *input)

Append QAbstractActionInput input to the list of inputs that can trigger this action.

### QVector<QAbstractActionInput *> QAction::inputs() const

Returns the list of inputs that can trigger this action.

### void QAction::removeInput(QAbstractActionInput *input)

Remove QAbstractActionInput input to the list of inputs that can trigger this action.